#
# spec file for package python-ldap
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ldap
Version:        2.4.27
Release:        1.1
Summary:        Python LDAP interface
License:        Python-2.0
Group:          Development/Libraries/Python
Url:            https://www.python-ldap.org/
Source:         https://pypi.io/packages/source/p/python-ldap/python-ldap-%{version}.tar.gz
BuildRequires:  cyrus-sasl-devel >= 2.1
BuildRequires:  fdupes
BuildRequires:  krb5-devel
BuildRequires:  libopenssl-devel >= 0.9.7
BuildRequires:  openldap2-devel >= 2.4.11
BuildRequires:  python-devel >= 2.3
Requires:       libldap-2_4-2 >= 2.4.11
Requires:       python-pyasn1
Requires:       python-pyasn1-modules
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
python-ldap provides an object-oriented API to access LDAP directory
servers from Python programs.  Mainly it wraps the OpenLDAP 2.x libs
for that purpose.  Additionally the package contains modules for other
LDAP-related stuff (e.g. processing LDIF, LDAPURLs, LDAPv3 schema, etc.).

%prep
%setup -q
cp Build/setup.cfg.suse-linux setup.cfg

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}/%{_libdir}

%files
%defattr(-,root,root)
%doc README Demo CHANGES TODO LICENCE
%{python_sitearch}/*

%changelog
* Mon Aug  1 2016 michael@stroeder.com
- Update to upstream release 2.4.27
* Sun Jul 24 2016 michael@stroeder.com
- Update to upstream release 2.4.26
- updated pypi source URL
* Tue Feb 23 2016 michael@stroeder.com
- Use HTTPS links
* Wed Feb 10 2016 michael@stroeder.com
- Aligned desciption with project's web site
- Removed obsolete stuff:
  * build flag -DLDAP_DEPRECATED
  * outdated URL in package description
  * removing of CVS files
* Mon Jan 18 2016 michael@stroeder.com
- Update to upstream release 2.4.25
* Sat Oct 24 2015 michael@stroeder.com
- Update to upstream release 2.4.22
* Fri Sep 25 2015 michael@stroeder.com
- Update to upstream release 2.4.21
* Tue Jul  7 2015 michael@stroeder.com
- Update to upstream release 2.4.20
* Sun Jan 11 2015 michael@stroeder.com
- Update to upstream release 2.4.19
* Thu Oct  9 2014 michael@stroeder.com
- Update to upstream release 2.4.18
* Sat Sep 27 2014 michael@stroeder.com
- Update to upstream release 2.4.17
* Wed Sep 10 2014 michael@stroeder.com
- Update to upstream release 2.4.16
* Fri Mar 28 2014 speilicke@suse.com
- Set license ot Python-2.0 (according to legal)
* Mon Mar 24 2014 michael@stroeder.com
- Update to upstream release 2.4.15
  * Various fixes
  * Support for subordinates search scope
  * Support for select schema description extension
* Thu Jun 27 2013 michael@stroeder.com
- Update to upstream release 2.4.13
  * mainly important fixes for ReconnectLDAPObject
* Tue Jun 18 2013 jengelh@inai.de
- Explicitly specify openssl build dependency
* Thu Jun  7 2012 michael@stroeder.com
- update to 2.4.10
* Fri Mar 23 2012 michael@stroeder.com
- Added dependencies to python-pyasn1 and python-pyasn1-modules
* Fri Mar 16 2012 saschpe@suse.de
- Remove service
- Spec file cleanup:
  * Remove outdated sections
  * Proper macro usage
* Tue Oct 11 2011 jmatejek@suse.com
- removed sasl.patch as it is no longer necessary
- update to 2.4.3
  * requires OpenLDAP 2.4.11 or higher
  * improved documentation
  * backwards-incompatible API for ldap.control
  * a couple new features, e.g. support for OPT_X_TLS_PACKAGE
  * improved LDAPv3 support
* Thu Mar  3 2011 saschpe@suse.de
- update to 2.3.13:
  * Correct #ifdef-statement for LDAP_OPT_X_TLS_CRLFILE in
    constants.c fixes build with older OpenLDAP libs
  * Support for LDAP_OPT_DEFBASE (see SF#3072016)
  * Several documentation improvements
* Thu Aug  6 2009 matejcik@suse.cz
- update to 2.3.9
  * support for handling ldap url extensions without explicit exvalue
  * common version number for all modules
* Wed May  6 2009 matejcik@suse.cz
- update to 2.3.8
  * supposedly supports gcc4.4
  * better handling of corner case errors
  * minor fixes
- fixed rpmlint warnings
* Fri Sep  5 2008 matejcik@suse.cz
- update to 2.3.5
  * minor fixes
- removed cvs-related files from the package
* Thu Apr  3 2008 matejcik@suse.cz
- update to 2.3.4
  * better RFC 4514 compatibility
  * bugfixes
- cleaned up spec file
- removed unnecessary source
- added %%fdupes
* Wed Aug  1 2007 jmatejek@suse.cz
- update to 2.3.1
  * openLDAP 2.3+ is now required
  * upstream fixed python2.5 problems
  * support for Cancel operation
  * DN related functions moved to submodule ldap.dn
  * numerous bugfixes
* Mon Jan 22 2007 jmatejek@suse.cz
- removed dependency on openldap, added dependency on openldap-client
* Thu Nov 16 2006 jmatejek@suse.cz
- fixed a bug that would in some cases lead to invalid free() call
  while deallocating the object
* Mon Oct 23 2006 jmatejek@suse.cz
- update to 2.2.0
  - OpenLDAP 2.2+ is now required
  - code is cleaned up, many memory leaks fixed
  - improved ldap.async - fixed Dict, added IndexedDict
  - lots of bugs fixed
- fixed some 64bit problems with PEP353 conversion
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan  5 2006 jmatejek@suse.cz
- update to 2.0.11
- using setup.cfg source designed for SuSE (minor adjustments
  against Build/setup.cfg.suse-linux
* Tue Oct 25 2005 rhafer@suse.de
- added LDAP_DEPRECATED to CFLAGS to build correctly with·
  OpenLDAP 2.3
* Thu Oct  6 2005 matejcik@suse.cz
- update to 2.0.10
* Wed Jun 29 2005 ltinkl@suse.cz
- update to 2.0.8
* Tue May 10 2005 mcihar@suse.cz
- update to 2.0.7
* Mon Dec  6 2004 mcihar@suse.cz
- update to 2.0.6
* Tue Nov 23 2004 mcihar@suse.cz
- update to 2.0.5
* Fri Jul 30 2004 mcihar@suse.cz
- update to 2.0.2
* Wed Jun 30 2004 mcihar@suse.cz
- update to 2.0.1
* Wed May 19 2004 mcihar@suse.cz
- update to 2.0.0 final
* Fri Jan 30 2004 mcihar@suse.cz
- include licence
* Fri Jan 23 2004 mcihar@suse.cz
- updated to 2.0.0pre19
* Tue Dec 16 2003 mcihar@suse.cz
- updated to 2.0.0pre18
* Thu Nov 13 2003 mcihar@suse.cz
- updated to 2.0.0pre15
* Wed Oct 15 2003 mcihar@suse.cz
- don't build as root
- updated to 2.0.0pre14:
    ldap.ldapobject:
  * Added class attribute LDAPObject.network_timeout mapped to
    set_option(ldap.OPT_NETWORK_TIMEOUT,..)
  * LDAPObject.search_ext(): Pass arguments serverctrls,clientctrls
    to _ldap.search_ext()
    ldap.sasl:
  * Added class ldap.sasl.external for handling
    the SASL mechanism EXTERNAL
  * Dictionary ldap.sasl.saslmech_handler_class built during import
    for all the known SASL mechanisms derived from class definitions
    ldap.schema:
  * More graceful handling of KeyError in SubSchema.attribute_types()
  * New method SubSchema.get_inheritedattr() for retrieving inherited
    class attributes
  * New method SubSchema.get_inheritedobj() for retrieving a
    schema element instance including all inherited class attributes
* Mon Aug 11 2003 mcihar@suse.cz
- updated to 2.0.0pre13
* Mon Jun 16 2003 mcihar@suse.cz
- use record-rpm
* Tue May 27 2003 mcihar@suse.cz
- updated to 2.0.0pre12
* Tue May 13 2003 mcihar@suse.cz
- updated to 2.0.0pre11
- use distutils for build
* Mon May 12 2003 mcihar@suse.cz
- use versioned dependency on python
* Thu Jan 30 2003 ro@suse.de
- use sasl2
* Fri Jan 10 2003 mcihar@suse.cz
- updated to 2.0.0pre06
- build with more features
- add demo into docs
* Mon Aug 26 2002 rhafer@suse.de
- LDAP_FILT_MAXSIZ isn't defined in libldap anymore
* Wed Aug 14 2002 vinil@suse.cz
- new version: 2.0.0pre05
* Mon Jun  3 2002 stepan@suse.de
- use %%_lib instead of lib
* Wed Feb 27 2002 vinil@suse.cz
- version 2.0.0pre04 to work with openldap2 (bug #13948)
* Tue Sep  4 2001 rvasice@suse.cz
- fix Group tag to Development/Libraries/Python
* Thu Mar 15 2001 kukuk@suse.de
- Remove openldap from Requires
* Thu Mar 15 2001 ro@suse.de
- changed for openldap2
* Thu Mar 15 2001 ro@suse.de
- fixed neededforbuild for openldap
* Wed Nov 22 2000 mt@suse.de
- renamed from pyldapm to python-ldap
- updated to python-ldap-1.10alpha3
- adopted spec file for python2.0
* Mon Nov  6 2000 ro@suse.de
- fixed neededforbuild (added ldaplib)
* Sun Oct 29 2000 kukuk@suse.de
- fix need for build
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 26 1999 mt@suse.de
- new version 1.5
